# Helm values for Kargo
# Chart: oci://ghcr.io/akuity/kargo-charts/kargo
# Namespace: kargo

api:
  enabled: true
  host: stonks-kargo.celestium.life
  podAnnotations:
    celestium.life/inject-ca: "true"
  tls:
    enabled: false
  ingress:
    enabled: true
    ingressClassName: traefik
    annotations:
      cert-manager.io/cluster-issuer: ca-issuer
    tls:
      enabled: true
      selfSignedCert: false
      secretName: kargo-tls
  adminAccount:
    enabled: true
    passwordHash: "$2b$10$juNdw96VeP/7oP3.RYPnwuUo2lk/eheAqkUqbwh16a1UH17olxyWC"
    tokenSigningKey: "bkTl5Eb1vNc3zAnxzpHPuziILl5Co"
